#MIN_CONFIG(3.0.0)

AM_INIT_AUTOMAKE(kio-apt, 0.13.2)
AC_C_BIGENDIAN
AC_CHECK_KDEMAXPATHLEN

AC_ARG_WITH(rpm,
            [ --with-rpm    use rpm instead of dpkg ],
            [use_rpm=$withval],
            [use_rpm=no])

echo -n "Package manager to use... "
AM_CONDITIONAL(USE_RPM, test "x$use_rpm" != "xno")

if [ test "x$use_rpm" != "xno" ]; then
  AC_DEFINE_UNQUOTED(USE_RPM, 1, [Define if your package manager is not dpkg but RPM])
  echo "rpm"
else
  echo "dpkg"
fi


